from setuptools import setup

setup(
    name="trendnet",
    version="0.1.8",
    python_requires=">=3.8",
    packages=["trendnet"],
    py_modules=["command_line"],
    install_requires=["tqdm", "pyspark", "lkb"],
    extras_require={
        "develop": ["black", "pylint", "pytest", "devpi"],
        "databricks": ["dbx"],
    },
    entry_points={
        "console_scripts": [
            "import_umls = trendnet.import_umls:main",
            "derive_trendnet = trendnet.derive_trendnet:main",
            "import_trendnet = command_line:main",
        ]
    },
)
